<?php

namespace FiloBlu\Storelocator\Block\Plugin\PickUpInStore;

class RmaReceived
{
    /**
     * @var \FiloBlu\Storelocator\Helper\Data
     */
    protected $helper;

    /**
     * @var \Magento\Framework\App\RequestInterface
     */
    protected $request;

    protected $registry;

    public function __construct(
        \FiloBlu\Storelocator\Helper\Data $helper,
        \Magento\Framework\App\RequestInterface $request,
        \Magento\Framework\Registry $registry
    )
    {
        $this->helper = $helper;
        $this->request = $request;
        $this->registry = $registry;
    }

    public function afterIsAlreadyConfirmed(\FiloBlu\Storelocator\Block\PickUpInStore\Rmareceived $subject, $result) {
        
        $rma = $this->registry->registry('pickupinstore_rma_received');

        if ($this->helper->getUseStandardRmaMailFlow()) {
            return $result;
        }


        if ($rma->getStatus() == 'pending') {
            return false;
        }

        return true;

    }
}